#include <iostream>

//Show how to use namespace operator
//using namespace std;

//We're declaring a function here - this means we promise to define the function later on in the code.
void printSomeStuff_DeclareLater();


//This is a function to print some stuff, but we'll declare it right away - void means that it won't return anything
void printSomeStuff_DeclareNow(){
  std::cout << "This was printed from inside of a function." << std::endl;
}



//This is a function that returns an integer 
int printSomeStuffAndReturn(){
  std::cout << "This was printed from inside of a function which will return a number afterward." << std::endl;
  return 1;
}


int main(){
  std::cout << "This is output to the screen from the main function." << std::endl;

  printSomeStuff_DeclareNow();
  printSomeStuff_DeclareLater();

  //Define an integer data type that we'll use to store the output of one of our functions
  int number;
  number = printSomeStuffAndReturn();
  std::cout << "The number that was returned was " << number << std::endl;

  return 0;
}

//Need to define the function that we defined earlier.
void printSomeStuff_DeclareLater(){
  std::cout << "This was printed from inside of a function." << std::endl;
}
