#include <iostream>

using namespace std;

int incrementByValue(int x){
  int y = x + 1;
  return y;
}

void incrementByReference(int& x){
  x = x + 1;
}

int main(){

  cout << "Pass by reference/value code snippet - for tutorial see:" << endl;
  cout << "http://www.learncpp.com/cpp-tutorial/73-passing-arguments-by-reference/" << endl;

  cout << "Let's take a number and increment it in a function, using pass by value." << endl;
  int xval = 1;
  cout << "x = " << xval << endl;
  int yval = incrementByValue(xval);
  cout << "x + 1 = " << yval << endl;

  cout << "Let's take a number and increment it in a function, using pass by reference." << endl;
  int xref = 1;
  cout << "x = " << xref << endl;
  incrementByReference(xref);
  cout << "x + 1 = " << xref << endl;

  cout << "Done." << endl;
  return 0;
}
